[arch-commits] Commit in tor/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Ronald van Haren ronald at archlinux.org
Thu Oct 9 14:36:02 EDT 2008


    Date: Thursday, October 9, 2008 @ 14:36:02
  Author: ronald
Revision: 14707

Merged revisions 14692,14706 via svnmerge from 
svn+ssh://archlinux.org/home/svn-packages/tor/trunk

................
  r14692 | giovanni | 2008-10-09 01:11:11 +0200 (Thu, 09 Oct 2008) | 21 lines
  
  Merged revisions 14682 via svnmerge from 
  svn+ssh://archlinux.org/home/svn-packages/tor/trunk
  
  ................
    r14682 | giovanni | 2008-10-08 23:52:49 +0200 (mer, 08 ott 2008) | 14 lines
    
    Merged revisions 356,8479 via svnmerge from 
    svn+ssh://archlinux.org/home/svn-packages/tor/trunk
    
    ........
      r356 | aaron | 2008-04-19 00:56:27 +0200 (sab, 19 apr 2008) | 1 line
      
      Added svn:keywords to all PKGBUILDs
    ........
      r8479 | douglas | 2008-08-12 23:34:34 +0200 (mar, 12 ago 2008) | 2 lines
      
      upgpkg: tor 0.2.0.30-1
          Updated for i686
    ........
  ................
................
  r14706 | ronald | 2008-10-09 20:35:00 +0200 (Thu, 09 Oct 2008) | 1 line
  
  upgpkg: tor 0.2.0.31-1
................

Modified:
  tor/repos/extra-x86_64/	(properties)
  tor/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   23 ++++++++++++-----------
 1 file changed, 12 insertions(+), 11 deletions(-)


Property changes on: tor/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /tor/trunk:1-14690
   + /tor/trunk:1-14706

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-10-09 18:35:00 UTC (rev 14706)
+++ extra-x86_64/PKGBUILD	2008-10-09 18:36:02 UTC (rev 14707)
@@ -1,8 +1,8 @@
 # $Id$
 # Maintainer: simo <simo at archlinux.org>
 pkgname=tor
-pkgver=0.1.2.19
-pkgrel=2
+pkgver=0.2.0.31
+pkgrel=1
 pkgdesc="TOR Client"
 arch=('i686' 'x86_64')
 url="http://tor.eff.org"
@@ -12,21 +12,22 @@
 source=(http://tor.eff.org/dist/tor-${pkgver}.tar.gz
 				tor.conf
 				tor.rc)
-md5sums=('4b3f9963b843010af5aa3bd6266d11e0'
+
+md5sums=('f3ab7d982ed295e7b25981c3910d5c2c'
          '56c75d4e8a66f34167d31e38c43793dd'
-		 		 '4e39d56f462fc9f59e91715ac1b994c0')
+         '4e39d56f462fc9f59e91715ac1b994c0')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
+  cd $srcdir/$pkgname-$pkgver
   ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var || return 1
   make || return 1
 
-	mkdir -p $startdir/pkg/var/lib
-	install -o43 -g43 -d -m0700 $startdir/pkg/var/lib/tor
-	install -D -m644 $startdir/src/tor.conf $startdir/pkg/etc/tor/torrc
-	install -D -m755 $startdir/src/tor.rc $startdir/pkg/etc/rc.d/tor
+	install -d $pkgdir/var/lib || return 1
+	install -o43 -g43 -d -m0700 $startdir/pkg/var/lib/tor || return 1
+	install -D -m644 $startdir/src/tor.conf $pkgdir/etc/tor/torrc || return 1
+	install -D -m755 $startdir/src/tor.rc $pkgdir/etc/rc.d/tor || return 1
 	
-  make DESTDIR=$startdir/pkg install
-  mv $startdir/pkg/etc/tor/torrc.sample $startdir/pkg/etc/tor/torrc-dist
+  make DESTDIR=$pkgdir install || return 1
+  mv $pkgdir/etc/tor/torrc.sample $pkgdir/etc/tor/torrc-dist || return 1
 }
 # vim: ft=sh sw=2 ts=2




More information about the arch-commits mailing list